#ifndef _POINT_H
#define _POINT_H

class Point{
	public:
		Point(int xCoord = -1, int yCoord= -1)
		  : fx(xCoord), fy(yCoord) {};

		inline int & x(){return fx;}
		inline int & y() {return fy;};


		// Relational operators

		inline bool operator ==(Point p)
		  { return (fx == p.x() && fy == p.y());};
		inline bool operator !=(Point p)
		  { return (fx != p.x() || fy != p.y());};
		inline bool operator < (Point p)
		  { return (fx < p.x()) && (fy < p.y()); };
		inline bool operator  > (Point p)
		  { return (fx > p.x()) && (fy > p.y()); };
		inline bool operator <=(Point p)
		  { return (fx <= p.x()) && (fy <= p.y()); };
		inline bool operator >=(Point p)
		  { return (fx >= p.x()) && (fy >= p.y()); };

	private:
		int fx;
		int fy;
};


#endif



















