#ifndef PROJECT
#define PROJECT 1

#include "RLEPair.h"
#include "RLEMap.h"
#include "bitmap.h"
#include "histogram.h"

void draw_sample(int x, int y);
Bitmap* sample_to_2d();
Histogram* project_histogram(Bitmap* b, double cut_angle);
Histogram* project_histogram(RLEMap* r, double cut_angle);
int calculate_one_ray_weight(Bitmap* b, double cut_angle, int row_num);
int calculate_one_rle_ray_weight(RLEMap* rlemap, double cut_angle, int row_num);
#endif
