// learn.h 
// Functions for use with LearnedcharGroups array
class Page;

void learn(Page * p, char * asciiFile, bool synchWords=FALSE);  
void learn(char * tifFile, char * asciiFile, bool synchWords=FALSE);  
int learn(Component * comp, char * id, Confidence threshold);
void readLearnFiles();    // sources learnfile.tcl where learn files can be set

int writeLearnedGroups(char * filename);  // Save learned characters
int readLearnedGroups(char * filename);   // read back saved characters
void testLearn();                         

// oldlearn for use with LearnedChars array 
// averaging learning ***NOT CURRENTLY USED ***
void oldlearn(char * tifFile, char * asciiFile);  // averages values
void initLearnedChars();   // sets learned charactere array to 0










